Skip to content

Specialties

Endpoints to retrieve specialties supported by Zocdoc.

Get specialties

Request

Get specialties with optional filtering by care category

Security
ClientCredentialsFlow or AuthorizationCodeFlow
Query
pageinteger, [ 0 .. 200 ]

The zero indexed page of results. Default is 0. Maximum is 200.

page_sizeinteger, [ 1 .. 500 ]

The number of results to return per page. Default is 100. Maximum is 500.

care_categorystring(CareCategory)

Filter by care category

Enum:"health""dental""vision"
curl -i -X GET \
  'https://api-developer-sandbox.zocdoc.com/v1/specialties?page=0&page_size=1&care_category=health' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
request_idstringrequired

Unique request identifier for tracing

pageintegerrequired

The zero based index of the current page.

page_sizeintegerrequired

The size of the current page.

total_countintegerrequired

The total number of result items.

next_urlstringrequired

A link to the next page of results; null if this is the last page of results.

dataArray of objects(SpecialtyData)required
Response
{ "request_id": "string", "page": 0, "page_size": 0, "total_count": 0, "next_url": "string", "data": [ {} ] }